AceTime 2.4.0 Date and time classes for Arduino that support timezones from the TZ Database.

Public Member Functions | Static Public Attributes | List of all members
ace_time::BasicZoneProcessor Class Reference

A specific implementation of BasicZoneProcessorTemplate that uses ZoneXxxBrokers which read from zonedb files in PROGMEM flash memory. More...

`#include <BasicZoneProcessor.h>`

Inheritance diagram for ace_time::BasicZoneProcessor:
[legend]
Collaboration diagram for ace_time::BasicZoneProcessor:
[legend]

## Public Member Functions
| BasicZoneProcessor (const basic::ZoneInfo *zoneInfo=nullptr)
Public Member Functions inherited from ace_time::BasicZoneProcessorTemplate< basic::ZoneInfoStore, basic::ZoneInfoBroker, basic::ZoneEraBroker, basic::ZonePolicyBroker, basic::ZoneRuleBroker >
bool | isLink () const override
| Return true if timezone is a Link entry pointing to a Zone entry.
uint32_t | getZoneId () const override
| Return the unique stable zoneId.
FindResult | findByLocalDateTime (const LocalDateTime &ldt) const override
FindResult | findByEpochSeconds (acetime_t epochSeconds) const override
| Return the search results at given epochSeconds.
void | printNameTo (Print &printer) const override
| Print a human-readable identifier (e.g. More...
void | printShortNameTo (Print &printer) const override
| Print a short human-readable identifier (e.g. More...
void | printTargetNameTo (Print &printer) const override
| Print the full identifier (e.g. More...
void | setZoneKey (uintptr_t zoneKey) override
| Set the opaque zoneKey of this object to a new value, reseting any internally cached information. More...
bool | equalsZoneKey (uintptr_t zoneKey) const override
| Return true if ZoneProcessor is associated with the given opaque zoneKey. More...
void | log () const
| Used only for debugging.
void | setZoneInfoStore (const basic::ZoneInfoStore *zoneInfoStore)
| Set the zone info store at runtime. More...
Public Member Functions inherited from ace_time::ZoneProcessor
uint8_t | getType () const
| Return the kTypeXxx of the current instance.

## Static Public Attributes
static const uint8_t | kTypeBasic = 3
| Unique TimeZone type identifier for BasicZoneProcessor.

## Additional Inherited Members
Public Types inherited from ace_time::BasicZoneProcessorTemplate< basic::ZoneInfoStore, basic::ZoneInfoBroker, basic::ZoneEraBroker, basic::ZonePolicyBroker, basic::ZoneRuleBroker >
typedef basic::TransitionTemplate< basic::ZoneInfoBroker, basic::ZoneEraBroker, basic::ZonePolicyBroker, basic::ZoneRuleBroker > | Transition
| Exposed only for testing purposes.
Protected Member Functions inherited from ace_time::BasicZoneProcessorTemplate< basic::ZoneInfoStore, basic::ZoneInfoBroker, basic::ZoneEraBroker, basic::ZonePolicyBroker, basic::ZoneRuleBroker >
| BasicZoneProcessorTemplate (uint8_t type, const basic::ZoneInfoStore *zoneInfoStore, uintptr_t zoneKey)
| Constructor. More...
Protected Member Functions inherited from ace_time::ZoneProcessor
| ZoneProcessor (const ZoneProcessor &)=delete
ZoneProcessor & | operator= (const ZoneProcessor &)=delete
| ZoneProcessor (uint8_t type)
| Constructor.
bool | isFilled (int16_t year) const
| Check if the Transition cache is filled for the given year and current epochYear. More...
Protected Attributes inherited from ace_time::ZoneProcessor
uint8_t const | mType
| User-visible indicator of the subclass of ZoneProcessor, which implments a specific time-zone algorithm. More...
int16_t | mYear = LocalDate::kInvalidYear
| Year that was used to calculate the transitions in the current cache. More...
int16_t | mEpochYear = LocalDate::kInvalidYear
| Epoch year that was used to calculate the transitions in the current cache. More...

## Detailed Description

A specific implementation of BasicZoneProcessorTemplate that uses ZoneXxxBrokers which read from zonedb files in PROGMEM flash memory.

Definition at line 923 of file BasicZoneProcessor.h.

The documentation for this class was generated from the following file:

- /home/brian/src/AceTime/src/ace_time/BasicZoneProcessor.h